FUNCTION VALUE(3)

NAME
boost::proto::value - Return the value stored within the specified Proto terminal expression.

SYNOPSIS

// In header: <boost/proto/traits.hpp>
template<typename Expr>
  typename proto::result_of::value< Expr & >::type value(Expr & expr);
template<typename Expr>
  typename proto::result_of::value< Expr const & >::type
  value(Expr const & expr);

DESCRIPTION

Return the the value stored within the specified Proto terminal expression. The value is returned by reference.

Requires:
    0 == Expr::proto_arity::value

Returns:
    A reference to the terminal's value

Throws:
    Will not throw.